Method: instances.summarizeEntitiesFromQuery

Full name: projects.locations.instances.summarizeEntitiesFromQuery

Parses the query and identifies the entities contained within the search query.

HTTP request

GET https://{endpoint}/v1beta/{instance}:summarizeEntitiesFromQuery

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The ID of the Instance to search entities for. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
query

string

Required. Query to summarize entities for.

timeRange

object (Interval)

Required. Query time range used to summarize entities [inclusive start time, exclusive end time).

userSql

string

Optional. If provided, this is a user's SQL query.

Request body

The request body must be empty.

Response body

Response message for search entities.

If successful, the response body contains data with the following structure:

JSON representation
{
  "entitySummaries": [
    {
      object (EntitySummary)
    }
  ]
}
Fields
entitySummaries[]

object (EntitySummary)

A list of entity summaries, each summarizing an entity from given query.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.entities.summarizeFromQuery

For more information, see the IAM documentation.

EntitySummary

EntitySummary represents entity evolution over a period of time.

JSON representation
{
  "entity": [
    {
      object (Entity)
    }
  ],
  "topLevelDomain": {
    object (Entity)
  }
}
Fields
entity[]

object (Entity)

List of entities that contain entity summary over a time range.

topLevelDomain

object (Entity)

Top level domain entity.